Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83767 - RFE: provide rfb packages to provide x0rfbserver functionality
Summary: RFE: provide rfb packages to provide x0rfbserver functionality
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vnc
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-08 01:14 UTC by Need Real Name
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-06 10:13:51 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-02-08 01:14:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Code has been written to allow you to connect a vncviewer
to your main (display :0) desktop.  KDE has a package that
inlcudes this code, and mandrake supports it as well.

Operationally, you run 'x0rfbserver' in you X session and
then you can VNC to your main desktop remotely.  Very useful,
a great addition to Redhat now that you are beginning to 
undertake greater desktop support.

The source and (scant) documentation can be found at

http://forum.hexonet.com/





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.look for rfb package
2.give up
3.
    

Additional info:

Comment 1 Tim Waugh 2003-02-11 11:02:59 UTC
We used to provide the rfb package in powertools, in fact.

But x0rfbserver is a nonoptimal solution to the problem.  A better solution
would be to ship xf4vnc, or something like it, which has much *much* less overhead.


Comment 2 Need Real Name 2003-02-11 16:23:40 UTC
I have looked at xf4vnc, at from what I can tell I believe that you are
right.  It has more configuration overhead, but if Redhat made it a
supported package I would expect that to become a non-issue.

How about throwing it in with RandR configuration support?  You know,
one more tab in the 'display properties' configuration tool?  I don't
know anything about your XFree configuration direction, so take these
suggestions with a grain of salt.

Anyway, xf4vnc or rfb, we need at least one.  In my last job, that kind
of administrative tool was very much appreciated; you can make a case for
this being an important part of the 'corporate desktop'.


Thanks.

Comment 3 Need Real Name 2003-08-10 04:06:53 UTC
Closed rawhide?  What package in rawhide provides this functionality?

Comment 4 Tim Waugh 2003-08-10 10:12:42 UTC
vnc


Note You need to log in before you can comment on or make changes to this bug.